Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eltima.chart
Class ChartPanel

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  javax.swing.JPanel
                      com.eltima.chart.GradientPanel
                          com.eltima.chart.ChartPanel

All Implemented Interfaces:
  java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, javax.accessibility.Accessible

    public class ChartPanel

extends GradientPanel
implements java.io.Serializable

The ChartPanel class.

Copyright: Copyright (c) 2000-2007

Company: Eltima Software

Version:
  5.1
Author:
  [SoftInfinity Dpt.]
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class javax.swing.JPanel
`javax.swing.JPanel.AccessibleJPanel`

Nested classes/interfaces inherited from class javax.swing.JComponent
`javax.swing.JComponent.AccessibleJComponent`

Nested classes/interfaces inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Nested classes/interfaces inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent, java.awt.Component.BaselineResizeBehavior, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

Field Summary
`protected javax.swing.CellRendererPane` | `rendererPane`

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`ChartPanel(ELChart chart)` Creates new instance of ChartPanel with specified ELChart.

Method Summary
`BarRenderer` | `getBarRenderer()` Returns the bar renderer.
`BubbleRenderer` | `getBubbleRenderer()` Returns the Bubble renderer.
`java.awt.Insets` | `getChartInsets()` Returns the chart insets.
`ColumnRenderer` | `getColumnRenderer()` Returns the column renderer.
`DoughnutRenderer` | `getDoughnutRenderer()` Returns the doughnut renderer.
`HorizontalAxis` | `getHorizontalAxis()` Returns the HorizontalAxis.
`GridModel` | `getHorizontalGrid()` Returns horizontal grid GridModel.
`Legend` | `getLegend()` Returns the chart Legend.
`LineRenderer` | `getLineRenderer()` Returns the line renderer.
`PieRenderer` | `getPieRenderer()` Returns the pie renderer.
`GradientModel` | `getPlotGradient()` Returns the plot GradientModel.
`LineModel` | `getPlotLine()` Returns plot LineModel.
`javax.swing.JLabel` | `getSeriesLabelRenderer()` Returns series label renderer.
`VerticalAxis` | `getVerticalAxis()` Returns the VerticalAxis.
`GridModel` | `getVerticalGrid()` Returns vertical grid GridModel.
`XYRenderer` | `getXYRenderer()` Returns the XY renderer.
`boolean` | `isPlotGradientPainted()` Returns true if plot gradient is painted.
`boolean` | `isPlotLinePainted()` Returns true if plot line is painted.
`void` | `paint(java.awt.Graphics g)` Paint chart panel.
`void` | `setChartInsets(java.awt.Insets insets)` Sets the chart insets.
`void` | `setHorizontalGrid(GridModel model)` Sets horizontal grid GridModel.
`void` | `setPlotGradient(GradientModel model)` Sets the plot GradientModel.
`void` | `setPlotGradientPainted(boolean painted)` Sets plot gradient painted.
`void` | `setPlotLine(LineModel model)` Sets plot LineModel.
`void` | `setPlotLinePainted(boolean painted)` Sets plot line painted.
`void` | `setSeriesLabelRenderer(javax.swing.JLabel renderer)` Sets series label renderer.
`void` | `setVerticalGrid(GridModel model)` Sets vertical grid GridModel.

Methods inherited from class com.eltima.chart.GradientPanel
`getGradientModel, paintComponent, setGradientModel`

Methods inherited from class javax.swing.JPanel
`getAccessibleContext, getUI, getUIClassID, paramString, setUI, updateUI`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBaseline, getBaselineResizeBehavior, getBorder, getBounds, getClientProperty, getComponentGraphics, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingForPrint, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paintBorder, paintChildren, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### rendererPane

    protected javax.swing.CellRendererPane rendererPane

Constructor Detail

### ChartPanel

    public ChartPanel(ELChart chart)

  Creates new instance of ChartPanel with specified ELChart.

  Parameters:
    `chart` - ELChart

Method Detail

### getLegend

    public Legend getLegend()

  Returns the chart Legend.

  Returns:
    Legend

### getVerticalAxis

    public VerticalAxis getVerticalAxis()

  Returns the VerticalAxis.

  Returns:
    VerticalAxis

### getHorizontalAxis

    public HorizontalAxis getHorizontalAxis()

  Returns the HorizontalAxis.

  Returns:
    HorizontalAxis

### paint

    public void paint(java.awt.Graphics g)

  Paint chart panel.

  Overrides:
    `paint` in class `javax.swing.JComponent`
  Parameters:
    `g` - Graphics

### getColumnRenderer

    public ColumnRenderer getColumnRenderer()

  Returns the column renderer.

  Returns:
    ColumnRenderer

### getBarRenderer

    public BarRenderer getBarRenderer()

  Returns the bar renderer.

  Returns:
    BarRenderer

### getLineRenderer

    public LineRenderer getLineRenderer()

  Returns the line renderer.

  Returns:
    LineRenderer

### getPieRenderer

    public PieRenderer getPieRenderer()

  Returns the pie renderer.

  Returns:
    PieRenderer

### getDoughnutRenderer

    public DoughnutRenderer getDoughnutRenderer()

  Returns the doughnut renderer.

  Returns:
    DoughnutRenderer

### getXYRenderer

    public XYRenderer getXYRenderer()

  Returns the XY renderer.

  Returns:
    PieRenderer

### getBubbleRenderer

    public BubbleRenderer getBubbleRenderer()

  Returns the Bubble renderer.

  Returns:
    PieRenderer

### getChartInsets

    public java.awt.Insets getChartInsets()

  Returns the chart insets.

  Returns:
    Insets

### setChartInsets

    public void setChartInsets(java.awt.Insets insets)

  Sets the chart insets.

  Parameters:
    `insets` - Insets

### getPlotGradient

    public GradientModel getPlotGradient()

  Returns the plot GradientModel.

  Returns:
    GradientModel

### setPlotGradient

    public void setPlotGradient(GradientModel model)

  Sets the plot GradientModel.

  Parameters:
    `model` - GradientModel

### isPlotGradientPainted

    public boolean isPlotGradientPainted()

  Returns true if plot gradient is painted.

  Returns:
    boolean

### setPlotGradientPainted

    public void setPlotGradientPainted(boolean painted)

  Sets plot gradient painted.

  Parameters:
    `painted` - boolean

### getPlotLine

    public LineModel getPlotLine()

  Returns plot LineModel.

  Returns:
    LineModel

### setPlotLine

    public void setPlotLine(LineModel model)

  Sets plot LineModel.

  Parameters:
    `model` - LineModel

### isPlotLinePainted

    public boolean isPlotLinePainted()

  Returns true if plot line is painted.

  Returns:
    boolean

### setPlotLinePainted

    public void setPlotLinePainted(boolean painted)

  Sets plot line painted.

  Parameters:
    `painted` - boolean

### getVerticalGrid

    public GridModel getVerticalGrid()

  Returns vertical grid GridModel.

  Returns:
    GridModel

### setVerticalGrid

    public void setVerticalGrid(GridModel model)

  Sets vertical grid GridModel.

  Parameters:
    `model` - GridModel

### getHorizontalGrid

    public GridModel getHorizontalGrid()

  Returns horizontal grid GridModel.

  Returns:
    GridModel

### setHorizontalGrid

    public void setHorizontalGrid(GridModel model)

  Sets horizontal grid GridModel.

  Parameters:
    `model` - GridModel

### getSeriesLabelRenderer

    public javax.swing.JLabel getSeriesLabelRenderer()

  Returns series label renderer.

  Returns:
    LabelRenderer

### setSeriesLabelRenderer

    public void setSeriesLabelRenderer(javax.swing.JLabel renderer)

  Sets series label renderer.

  Parameters:
    `renderer` - LabelRenderer

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2007 Eltima Software. All Rights Reserved.